# Gimp.Path.stroke_get_point_at_dist

    @accepts(Gimp.Path, int, float, float, float, float, float, bool)
    @returns(bool)
    def stroke_get_point_at_dist(self, stroke_id, dist, precision, x_point, y_point, slope, valid):
        # Python wrapper for gimp_path_stroke_get_point_at_dist()

Get point at a specified distance along the stroke.

This will return the x,y position of a point at a given distance along the stroke. The distance will be obtained by first digitizing the curve internally and then walking along the curve. For a closed stroke the start of the path is the first point on the path that was created. This might not be obvious. If the stroke is not long enough, a \"valid\" flag will be FALSE.

Since 2.4

self

  The path object.

stroke_id

  The stroke ID.

dist

  The given distance.

precision

  The precision used for the approximation.

x_point

  The x position of the point.

y_point

  The y position of the point.

slope

  The slope (dy / dx) at the specified point.

valid

  Indicator for the validity of the returned data.

Returns